Subject: [secdir] Secdir last call review of draft-ietf-core-yang-cbor-15

From: Shawn Emery via Datatracker <[email-masked]>
Date: Wed, 10 Mar 2021 22:41:48 -0800

Reviewer: Shawn Emery
Review result: Has Nits

This standards track draft specifies YANG modules for Concise Binary Object
Representation (CBOR) encodings.

The security considerations section does exist and refers to RFCs 8949 and 7950
for underlying security issues.  It continues that there are no additional
security concerns introduced by this draft outside of any specific context or
protocol.  I agree with this assertion.  I also don't know how pedantic we
should be in including the YANG module security considerations template to a
draft that does not specify modules specific to a protocol, i.e. writable
nodes, sensitive readable nodes, and RPC operations.  I defer this decision to
the security ADs.

General comments:

None.

Editorial comments:

None.